Description

segnalo che I'operazione di aggancio dei client al fuss-server, non semprevanno a buon fine.

Dopo essere ipazzito per 3 giorni a capire quali fossero le cause (ancora ignote a me),

ho provveduto a cambiare i cavi di rete dei PC (ora sono cat.6 S/FTP nuovi). Gli switch sono HP 1000 Mbps seminuovi (1 anno di
vita).

Allego gli errori che si presentano. Si risolvono in vari modi :
- Ripetendo piu volte il comando fuss-client a

Reinstallando il PC e ripetendo il comando fuss-client a-N-B—-+Vimmagine-c-aggiorratacenfuss-client8-0-18}

Riavviando il server
Allego files con errori
Avviso che sard assente e rientrerd il 17/08/2017 in servizio.

grazie
Andrea

Associated revisions

Revision 5eb107af - 08/04/2017 12:19 PM - Elena Grandi

Add a better error message in case of temporary network issues. refs: #367

History

#1 - 08/03/2017 05:38 PM - Paolo Dongilli

- File output-fuss-client.txt added

- Assignee changed from Paolo Dongilli to Elena Grandi

Donato Florio segnala un problema analogo che blocca I'esecuzione di

fuss—-client -a

Durante l'installazione di alcuni pacchetti (nslcd,libpam-Idapd,libnss-ldapd), il comando apt-get lanciato da ansible

/usr/bin/apt—-get -y -o \"Dpkg::0Options::=——-force-confdef\" -o \"Dpkg::0Options::=-—force-confold\" install 'nsl
cd' 'libpam-ldapd' 'libnss-ldapd'

restituisce il messaggio che di un pacchetto non puo essere verificata I'autenticita:

WARNING: The following packages cannot be authenticated!", " nscd"

Questo € quanto riporta il wiki di Debian riguardo all'errore: https://wiki.debian.org/ reApt#How_:

Posso pensare che un
https://wiki.debian.org/SecureApt#How_apt_uses_Release.gpg

apt-key update
apd-get update
potrebbe risolvere.

Elena?

#2 - 08/04/2017 11:24 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Le chiavi dovrebbero essere comunque gia presenti (viene aggiunta dall'installer), lo si pud verificare con apt-key list e dovrebbe esserci un campo
con Fuss Package Repository <packages@fuss.bz.it> (tra I'altro, nei log vedo un pacchetto problematico che proviene da li, ma l'altro che arriva dai
repo di debian, le cui chiavi sono ovviamente presenti, quindi apt-key update non & particolarmente necessario.

E invece utile apt-get update, che perd viene gia eseguito dal fuss-client.

| comportamenti sono effettivamente compatibile con delle brevi interruzioni del funzionamento della rete (sicuramente interna nel caso di
fuss-client--a-error-connection.txt, potenzialmente sia interna che uscita verso internet nei casi dei problemi con apt).

Se questi problemi capitano nel momento in cui fuss-client sta lanciando apt-get update & possibile che non aggiorni le informazioni di alcuni
repository e che quindi dia errori del genere quando si cercano di installare pacchetti.

Non mi spiego perché reinstallare funzioni, a meno che semplicemente non faccia passare sufficientemente tempo da far si che i problemi di rete non
ci siano piu.

In questi casi ripetere il comando fuss-client -a fa verifica delle impostazioni che erano gia state fatte e riprende ad agire da quello che mancava,
quindi & una soluzione funzionante. Capisco pero il fastidio di doverlo lanciare, soprattutto se la cosa si ripete.

Di sicuro mi pare il caso di cambiare il mesaggio di errore nel caso di fuss-client--a-error-connection.txt in qualcosa di pit umano, e con questo posso
procedere.

#3 - 08/04/2017 12:20 PM - Elena Grandi

Intanto cambiato il messaggio di errore, ma ancora non ho pubblicato il pacchetto con la modifica (che comunque & prevalentemente estetica).

#4 - 08/29/2017 08:13 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Elena Grandi ha scritto:

Intanto cambiato il messaggio di errore, ma ancora non ho pubblicato il pacchetto con la modifica (che comunque é prevalentemente estetica).
Il nuovo pacchetto & stato pubblicato?

#5 - 08/30/2017 11:17 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

si, 8.0.19, assieme ad altre modifiche

#6 - 09/03/2017 02:06 PM - Paolo Dongilli

- Status changed from Nuovo to Chiuso
